Class | Chef::OpenIDRegistration
In: | lib/chef/openid_registration.rb
Parent: | Object

### Methods

cdb_list create_design_document destroy encrypt_password generate_salt has_key? json_create list load name= new save set_password to_json

### Included Modules

Chef::Mixin::ParamsValidate Chef::IndexQueue::Indexable

### Constants

DESIGN_DOCUMENT | = | { "version" => 3, "language" => "javascript", "views" => { "all" => { "map" => <<-EOJS function(doc) { if (doc.chef_type == "openid_registration") { emit(doc.name, doc); } } EOJS

### Attributes

admin | [RW] |
couchdb_rev | [RW] |
name | [RW] |
password | [RW] |
salt | [RW] |
validated | [RW] |

### Public Class methods

cdb_list(*args)
create_design_document(couchdb=nil)

Set up our CouchDB design document

has_key?(name)

Whether or not there is an OpenID Registration with this key.

json_create(o)

Create a Chef::Node from JSON

list(inflate=false)

List all the Chef::OpenIDRegistration objects in the CouchDB. If inflate is set to true, you will get the full list of all registration objects. Otherwise, you‘ll just get the IDs

load(name)

Load an OpenIDRegistration by name from CouchDB

new()

Create a new Chef::OpenIDRegistration object.

### Public Instance methods

destroy()

Remove this OpenIDRegistration from the CouchDB

name=(n)
save()

Save this OpenIDRegistration to the CouchDB

set_password(password)

Set the password for this object.

to_json(*a)

Serialize this object as a hash

### Protected Instance methods

encrypt_password(salt, password)
generate_salt()

[Validate]